using System.Diagnostics.CodeAnalysis;
using Unity;

namespace Valg.EVA.Skanning.ContainerExtensions
{
    
    
    
    [ExcludeFromCodeCoverage]
    public class TypedFactory : ITypedFactory
    {
        private readonly IUnityContainer unityContainer;

        public TypedFactory(IUnityContainer unityContainer)
        {
            this.unityContainer = unityContainer;
        }

        
        
        
        public T Create<T>() where T : class
        {
            return unityContainer.Resolve<T>();
        }
    }
}
